> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete aggregator

> Delete an existing aggregator.



## OpenAPI

````yaml delete /v1/aggregators/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/aggregators/{id}:
    delete:
      tags:
        - Aggregators
      summary: Delete aggregator
      description: Delete an existing aggregator.
      operationId: deleteAggregator
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '204':
          description: Aggregator deleted
        '400':
          description: Aggregator is linked to a product
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Aggregator not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````